import { CommonEntity } from './_common.entity';
export declare class ConversationEntity extends CommonEntity {
    name: string;
    avatar: string;
    last_message_id: string;
    last_activity: Date;
    type: number;
    members: string[];
    background: string;
    no_of_member: number;
    no_of_pinned: number;
    no_of_image: number;
    no_of_video: number;
    no_of_file: number;
    no_of_link: number;
    no_of_audio: number;
    link_join: string;
    is_user_remove: number;
    is_update_profile: number;
    is_create_reminder: number;
    is_create_vote: number;
    is_confirm_new_member: number;
    is_highlight_message_admin: number;
    is_view_old_message_with_new_member: number;
    is_join_with_link: number;
    is_send_message: number;
    status: number;
}
